Microsoft Web Platform Installer

환경 구성하는 컴이 예전 컴이 아닌지라 사양이 낮다. 그러다 보니 그냥 옆에 있는 버전관리용 우분투와 함께 웹 연동을 위한 웹서버가 있어야 해서 IIS에 연동하려다보니 알게되었다.

요즘 윈도우, 특히 클라이언트 기준으로는 윈도우 7 이상(8 이상을 권장) 혹은 윈도우 서버 2008 이루부터에서는 IIS로 환경 구성하면 IIS 6.0 환경과 7.0 이상의 환경을 나눠서 설치할 수 있게 해준다. 게다가 웹 환경에 맞춰 필요한 프로그램, 플러그인, 서비스 등을 설치할 수 있도록 해주는 Microsoft Web Platform Installer라는 녀석으로 구성을 좀 더 쉽게 할 수 있도록 해준다.

과거에 IIS에 다른 것들은 연동하기 위해 여러모로 삽질했던 것들을 생각하면 무지하게 편해졌다. IIS에 PHP연동하려고 엄청 삽질했던 경험이 있는 분들은 아실 것임,

대신에 인스톨러에 있는 버전 자체가 낮은 경우에는 최신 버전으로 업데이트 할 수 있는 방법들도 여러모로 나와있어서 버전 걱정도 별로 없는 거 같다. 근데 mysql이 설치 잘 안된다는 소리가 있어서 솔직히 이건 좀 확인해봐야지…

p.s. 설계와 환경검색과 삽질의 연속이다.

NAS를 그만쓴다.

1년전에 큰맘먹고 질렀던 iptime 4bay NAS를 그만쓰고 마이크로서버로 옮기려고 한다.

이유는 간단하다. 무지 잘 뻗는다.

이걸 막기 위해 시놀로지나 QNAP으로 가라는 걸 알면서도 솔직히 하드에 들이는 돈도 있고 하다보니 그냥 썼는데…
(시놀로지랑 QNAP은 ARM이어도 비싸다. 단, 비싼 값은 한다.)

더 이상은 안되겠다. 뻗는 일이 많다보니 파일 중 몇몇 것들이 깨지는 경우도 계속 발생하고 해서 옮기는 중이다.

어차피 뻗는 것만 없으면 되는 부분이다보니 HP에서 나오는 마이크로서버를 보고 있다. 윈도우야 뭐 잘 깔리는 편이고, RHEL 쓰라고는 하는데 우분투 잘깔리는 건 이전부터 알고 있었으니…

여기에 FreeNAS를 깔아 쓸 수도 있겠지만 그것도 그만두고 제대로 서버 구축해서 파일 관리해야지.

그리고 서비스 개발을 위한 노하우도 좀 익혀보고…

Hyper-V랑 VMware랑 충돌 일어납니다.

하이퍼바이저 오류

일전에 어떤 분 그런 일 없다면서 이 블로그에 엄청 욕하고 쑈하고 그랬다. 내가 덧글을 표시하고 싶은 것만 표시하게 해둬서 그냥 내가 대충보고는 씹었다. 얼마 알지도 못하는 인간이라고 생각했으니깐.

사실 그냥 일반 사용자들이 PC에서 하이퍼바이저 프로그램들을 그냥 막 깔고 하다보니 그냥 막 깔아서 쓸 수 있는 것 쯤으로 착각하는 사람들이 많다. 하이퍼바이저 L1, L2에 대해서 주절주절 거려도 하이퍼바이저 솔루션들의 각각의 특징까진 알지도 못하면서 그냥 줄줄 거리는 거지…

특히 Hyper-V는 특성 많이 탄다. 그냥 저녀석 특성이 그렇다. 애당초 윈도우 8 이후의 환경 (서버는 2012 서버 이후)부터는 특정 패키지부터는 아예 운영체제의 기본 서비스 중 하나로 박혀있는 녀석이다. nt 시스템의 특성상 시스템 서비스는 점유를 먼저 쳐묵거릴 때가 많다. Hyper-V도 그렇게 되면 vmware 같은 서드파티에서 저렇게 에러를 내는 것이다.

뭣도 모르면 좀 가만히 있었으면 좋겠다. 나랑 비슷한 소리 했던 그분도 그렇게 오류난 걸 가지고 검색했을 때 그런 비슷한 결과 보고 썼을꺼다. (영문 검색하면 잘나온다) 그걸 지 생각하는 거랑 좀 안맞는다고 욕이나 싸지르지는 말자.